Tips and Technical Requirements

See Also

All Help

Technical Requirements

It is recommended that the user's web browser be the most current version supported by his or her computer's operating system. The current official release version of the major browsers (Chrome, Edge, Firefox, Internet Explorer, Opera, and Safari) are all fully supported. Prior versions released in 2013 or later should also be capable of performing all site functions. Internet Explorer 7 does not render all features and controls as described in the documentation, although core feature functions will work. Internet Explorer 6 and prior versions are not capable of performing many site functions and are not supported.

The following operating system versions (or higher) are required to meet the standards of the security certificate used to protect browser communication with the site: Windows XP SP3 (service pack 3 installed), Mac OS X 10.5, Android 2.3, Apple iOS 3.0, Blackberry 5.0, Chrome OS (all), Windows Phone 7.

Be sure to review Tips for Printing as well.